Subject: Re: bug#18522: 24.4.50; mapcar is very slow

From: Peter Münster <[email-masked]>
Date: Fri, 26 Sep 2014 09:15:01 +0200

On Fri, Sep 26 2014, Eli Zaretskii wrote:

>> Please find attached 2 files with profiler-reports when entering a Gnus
>> group:
>> - profiler-slow.txt: entering a group is slow, and emacs was uptime since
>>   about 3 days
>> - profiler-fast.txt: entering the same group after a fresh restart of emacs
>
> Is that for the same input?

Yes. In both cases I call gnus-group-select-group for the same group.

> How come command-execute was called 2464 times in the first profile,
> and only 303 times in the second? This alone can explain an 8-fold
> slowdown.

Sorry, I forgot to label the columns: 303 and 2464 are "CPU samples".

> Anyway, looks like gnus-summary-read-group-1 takes a lot of CPU in
> both cases, which is above the mapcar part.  Below mapcar, the most
> expensive part is parse-time-string, which doesn't really surprise me.

On line 16, the slow mapcar takes 1090 CPU samples and the fast one 64.
Below line 16, the profiler outputs are different and I don't know why
and how to debug further...

-- 
           Peter